Skip to main content
POST
/
v1
/
calls
/
dial
Place an outbound call from one of your numbers to a destination
curl --request POST \
  --url https://api.revdesk.com/v1/calls/dial \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from_number": "<string>",
  "to_number": "<string>",
  "record": true,
  "amd": false
}
'
{
  "data": {
    "call_id": "<string>",
    "provider_call_sid": "<string>",
    "from_number": "<string>",
    "to_number": "<string>",
    "status": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.revdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.

Body

application/json
from_number
string
required
Pattern: ^\+[1-9]\d{1,14}$
to_number
string
required
Pattern: ^\+[1-9]\d{1,14}$
record
boolean
default:true
required
amd
boolean
default:false
required

Response

Success

data
object
required